import * as React from 'react';
export interface GriddleProps<T> extends React.Props<T> {
    results: any[];
    showSettings?: boolean;
    showFilter?: boolean;
    showPager?: boolean;
    resultsPerPage?: number;
    useGriddleStyles?: boolean;
    tableClassName?: string;
    useCustomPagerComponent?: boolean;
    useCustomGridComponent?: boolean;
    customPagerComponent?: any;
    nextText?: string;
    previousText?: string;
}
export interface GriddleBootstrapProps extends GriddleProps<GriddleBootstrap> {
    bordered?: boolean;
    condensed?: boolean;
    hover?: boolean;
    striped?: boolean;
    tableClassName?: string;
    pagerOptions?: PagerOptions;
}
export interface PagerOptions {
    maxButtons?: number;
}
export declare class GriddleBootstrap extends React.Component<GriddleBootstrapProps, any> {
    static defaultProps: {
        tableClassName: string;
        bordered: boolean;
        condensed: boolean;
        hover: boolean;
        striped: boolean;
        pagerOptions: {
            maxButtons: number;
        };
    };
    render(): JSX.Element;
}
